Subject: Want to be on the IESG?

From: "Salz, Rich" <[email-masked]>
Date: Fri, 1 Oct 2021 14:18:29 +0000

(Please forward to other individuals; this general mailing list isn’t wide enough.)

Nominations close in ten days. The IAB has eight people vying for six positions.  All other technical positions – i.e., the IESG – are running unopposed.

Given the recent survey, I view this as disastrous.  Have any outgoing members tried to find replacements?

---

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 1 Oct 2021 09:37:22 -0500

Hi Rich,

On Fri, Oct 1, 2021 at 9:19 AM Salz, Rich <rsalz=[email-masked]>
wrote:

> Nominations close in ten days. The IAB has eight people vying for six
> positions.  All other technical positions – i.e., the IESG – are running
> unopposed.
>
>
>

+1

But mind you that it should be the Nomcom chair, Gabriel who solicits
nominations.

Behcet

---

From: "Salz, Rich" <[email-masked]>
Date: Fri, 1 Oct 2021 14:42:38 +0000

*   But mind you that it should be the Nomcom chair, Gabriel who solicits nominations.

Not just.

Area Directors should be familiar with WG chairs and those who are involved in the WGs in their area.  They are in the best position to tend to the area’s leadership pipeline.

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 1 Oct 2021 10:23:55 -0500

On Fri, Oct 1, 2021 at 9:43 AM Salz, Rich <rsalz=[email-masked]>
wrote:

>
>
>    - But mind you that it should be the Nomcom chair, Gabriel who
>    solicits nominations.
>
>
>
> Not just.
>
>
>
> Area Directors should be familiar with WG chairs and those who are
> involved in the WGs in their area.  They are in the best position to tend
> to the area’s leadership pipeline.
>

I will be astounded if Gabriel doesn't send out (additional) solicitations
for nominations. Most Nomcom chairs do (according to
https://datatracker.ietf.org/nomcom/ann/#2021), and that includes Barbara
Stark, who is on Gabriel's Nomcom as past chair (according to
https://datatracker.ietf.org/group/nomcom2021/about/) and sent out a second
call in 2020. I remember that some chairs have sent out third solicitations
for specific positions, and Allison Mankin sent out a fourth solicitation.

But Rich is correct - it's a responsibility that we all have, to nominate
the best people we can nominate, and that's also in our best interests. ADs
and WG chairs (and IAB members) may be well-placed to consider multiple
potential nominees, but if you know someone who you would want to serve as
your AD, please nominate them, and let Gabriel confirm that they can accept
that nomination.

Best,

Spencer

Spencer

---

From: Michael Richardson <[email-masked]>
Date: Fri, 01 Oct 2021 12:10:31 -0400

Salz, Rich <rsalz=[email-masked]> wrote:
    > positions.  All other technical positions – i.e., the IESG – are
    > running unopposed.

    > members tried to find replacements?

Given pandemic situation, it may not be as terrible a result as you suggest.
Specifically, I'm suggesting that various degrees of arm twisting and
persuasion would often occur over the summer, in person. (over beer...)

BUT, I mostly agree with you. It's a bit of a process disaster.
One question I know that nomcom have asked is:
     How will you find/plan for a successor?

As I've said repeatedly, if you want to know who are eligible to become ADs, the list
is here:
  https://datatracker.ietf.org/wg/photos/

If ADs aren't inserting the right new blood here, then there won't be any new
blood on the IESG candidate list.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 1 Oct 2021 13:17:29 -0500

I've gotta stop chiming in, but ...

>   https://datatracker.ietf.org/wg/photos/

The current working group chairs do make up a good set of likely suspects,
but taking a quick look at
https://datatracker.ietf.org/nomcom/2021/expertise/ for any of the AD
positions and opening up the "General IESG Requirements (click to expand)"
tab, we see that "eligible" isn't quite the right word, because the *desired
*expertise says things like

*It is very helpful for an IESG member to have a good working knowledge of
the IETF document process as well as WG creation and chartering process.
This knowledge is most likely to be found in experienced WG Chairs, but may
also be found in authors of multiple documents. *

You don't have to be a current (or recent) working group chair, to be
considered for an AD position. It's just that WG chair experience can help
prepare you to serve. It would be helpful for people to take a good look at
the desired expertise, and think about who they can imagine providing a
significant chunk of that expertise, no matter what the person's background
is.

And the reason that's helpful, is that if Nomcom doesn't have good nominees
to consider, they can't kidnap unwilling nominees and forward them for
confirmation. They forward the "least worst" nominees as candidates for
confirmation - and we should note the subtle difference between
"best" nominees and "least worst" nominees.

Seriously, we do need to give Noncoms good nominees so they have something
to work with!

Best,

Spencer

---

From: Keith Moore <[email-masked]>
Date: Fri, 1 Oct 2021 19:43:49 -0400

> positions.  All other technical positions – i.e., the IESG – are 
I didn't realize that people "ran" for either IESG or IAB.   I thought 
it was up to the nomcom to scare up additional candidates, even if 
plenty of candidates (or existing seat holders) nominated themselves.

Keith

---

From: Keith Moore <[email-masked]>
Date: Fri, 1 Oct 2021 19:47:59 -0400

> blood on the IESG candidate list.

While current WG chairs often make good candidates for IESG, this is not 
a requirement.   There's no need to overlook good candidates just 
because they aren't current WG chairs.

It might also be worth considering document editors if those documents 
involved lots of WG discussion.

Keith

---

From: John C Klensin <[email-masked]>
Date: Fri, 01 Oct 2021 21:00:18 -0400

--On Friday, October 1, 2021 14:18 +0000 "Salz, Rich"
<rsalz=[email-masked]> wrote:

> (Please forward to other individuals; this general mailing
> list isn't wide enough.)
> 
> Nominations close in ten days. The IAB has eight people vying
> for six positions.  All other technical positions – i.e.,
> the IESG – are running unopposed.
> 
> Given the recent survey, I view this as disastrous.  Have any
> outgoing members tried to find replacements?

Rich,

Three observations (supplementing those from Spencer, Keith, and
others but not disagreeing with them):

(1) While Nomcoms have rarely taken advantage of it, my
understanding from the beginning of the Nomcom model has been
that Nomcoms are free to recruit, twist arms, etc.   This may be
the year for doing that.

(2) I think looking at things in terms of "want to be on the
IESG?" may be the wrong question.  "If you believe you could do
the job of an AD, are you willing to serve the community for a
few years in one of those positions" might be closer to what we
are looking for.  There have certainly been many exceptions but
people who really want to be on the IESG --in the sense of,
e.g., considering it an important career move or to grind some
specific axe -- have sometimes turned out to be part of the
problem.  Note that this has sometimes also been a problem with
the IAB, not just the IESG.

(3) From observation of results, Nomcoms are often inclined to
return incumbents who are willing to serve again (and who have
not been absolute disasters).   This is understandable:
borrowing a metaphor, not only is the devil one knows better
than the one one does not, but the good person one knows is
clearly more attractive than someone unknown (at least for
performance in that role).  For people who believe an incumbent
has been doing an ok (or better) job, that is a disincentive to
putting their names in for that position... especially if doing
so requires rearranging of schedules, getting employer
permission, guaranteeing travel and time support, etc.  I have
no idea how to solve that problem, at least without changes the
IESG has been disinclined to consider or let the community
consider (Spencer might even remember an ancient (and long-dead)
attempt at part of the issue in the form of
draft-klensin-nomcom-incumbents-first).

best,
   john

---

From: Lloyd W <[email-masked]>
Date: Sat, 2 Oct 2021 17:38:48 +1000

> On 2 Oct 2021, at 11:01, John C Klensin <[email-masked]> wrote:
> 
> IESG?" may be the wrong question

Do you want... POWER?

L.

and are you willing to sit through dull conference calls to get it?

---

From: Keith Moore <[email-masked]>
Date: Sat, 2 Oct 2021 22:47:53 -0400

> and are you willing to sit through dull conference calls to get it?

A slightly different view from one who has been there (though it's been 
awhile):

You learn a HELL of a lot by serving on IESG.  You get a pretty rare 
view of all of the technical issues facing the Internet (and some other 
kinds of issues also), all at once, as in "drinking from a firehose" all 
at once.   And that view probably doesn't go stale for several years.  
That kind of breadth is surely valuable to high-level people in many 
companies.

Unlike a lot of jobs that confer some measure of power, being on IESG 
probably provides more power to do good than to do harm. The best things 
you can do on IESG are to help people resolve tussles and technical 
differences so that they can make progress.   You can do this because 
your knowledge of both the technical issues, and of people working on 
various problems, can help you get people with different views to see 
how to work them out.   You're not always successful, of course, but 
sometimes you might be.

It can be an exhausting job but also a very rewarding one.    And the 
community needs more people who are willing to serve in this way.

Keith

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 3 Oct 2021 10:44:54 +0200

Hi Keith,

I agree with you. We do need more people serving in that best way. For
example, I still am waiting in one WG or the chair or AD to reply to my
question (happens alot in IETF, not sure why we have WG chairs, maybe we
need discussion-list-chair instead), but maybe I need to send reminder on
wg-list, or I need more people to help in IETF.

I recommend in IETF that we need a discussion-list-chair for each list in
IETF-Areas

Best Regards
AB

---

From: Andy Ringsmuth <[email-masked]>
Date: Sun, 3 Oct 2021 07:31:35 -0500

I’ll go ahead and ask, as I didn’t see it obvious when digging around.

How does one actually go about tossing their hat into the ring for these nominations?

----
Andy Ringsmuth
5609 Harding Drive
Lincoln, NE 68521-5831
(402) 304-0083
[email-masked]

“Better even die free, than to live slaves.” - Frederick Douglas, 1863

> On Oct 3, 2021, at 3:44 AM, Abdussalam Baryun <[email-masked]> wrote:
> 
> Hi Keith,
> 
> I agree with you. We do need more people serving in that best way. For example, I still am waiting in one WG or the chair or AD to reply to my question (happens alot in IETF, not sure why we have WG chairs, maybe we need discussion-list-chair instead), but maybe I need to send reminder on wg-list, or I need more people to help in IETF.
> 
> I recommend in IETF that we need a discussion-list-chair for each list in IETF-Areas
> 
> Best Regards
> AB
> 
> On Sun, Oct 3, 2021 at 4:48 AM Keith Moore <[email-masked]> wrote:

---

From: "Salz, Rich" <[email-masked]>
Date: Sun, 3 Oct 2021 13:06:40 +0000

*   I didn't realize that people "ran" for either IESG or IAB.   I thought it was up to the nomcom to scare up additional candidates, even if plenty of candidates (or existing seat holders) nominated themselves.

As almost every Nomcom chair has said, multiple times, it is a community responsibility, not just nomcom.

You are correct that I used a politically-incorrect term.

---

From: "Salz, Rich" <[email-masked]>
Date: Sun, 3 Oct 2021 13:12:13 +0000

>    How does one actually go about tossing their hat into the ring for these nominations?

Visit https://datatracker.ietf.org/nomcom/2021/  Read all the tabs, fill out a questionnaire.  Nominate yourself.

---

From: "Salz, Rich" <[email-masked]>
Date: Sun, 3 Oct 2021 13:20:21 +0000

I am sure that they know this is possible, and as I said elsewhere, I recall every nomcom chair asking for candidates multiple times. I do not know what they are doing behind the scenes,  I only went by the list of nominees.

>    (2) I think looking at things in terms of "want to be on the
    IESG?" may be the wrong question.

We disagree.

    (3) From observation of results, Nomcoms are often inclined to
    return incumbents who are willing to serve again (and who have
    not been absolute disasters).

Sure, for understandable reasons. But perhaps those known reasons should not always be the priority.  See for example, the thread around this post, https://mailarchive.ietf.org/arch/msg/ietf/66ZswAhKfCCQ9RVYKnr8Jflh9eI/ and the community survey blog post https://www.ietf.org/blog/ietf-community-survey-2021/

---

From: Lloyd W <[email-masked]>
Date: Mon, 4 Oct 2021 01:08:52 +1100

> On 4 Oct 2021, at 00:08, Salz, Rich <rsalz=[email-masked]> wrote:
> 

and 'running' is ableist, too.

L.

thought police don't walk this beat. the SAAs patrol it.

---

From: Keith Moore <[email-masked]>
Date: Sun, 3 Oct 2021 11:35:20 -0400

> On Oct 3, 2021, at 9:06 AM, Salz, Rich <[email-masked]> wrote:
> 

Fair point.  

Keith

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 4 Oct 2021 08:36:04 +1300

1) This seems likely to be one side-effect of not having in-person meetings, where arms can be more readily twisted.

2) Has the call for nominations been sent to *every* WG list? If not, why 
not?

Regards
   Brian Carpenter

---

From: Donald Eastlake <[email-masked]>
Date: Mon, 4 Oct 2021 00:37:11 -0400

Hi John,

On Fri, Oct 1, 2021 at 9:01 PM John C Klensin <[email-masked]> wrote:
>...

I would like to know the basis for your claim above. Extrapolating
from memories of my experience as a member of six nomcoms (4 as a
voting member, one as chair, and one as previous chair) EVERY nomcom
has encountered a problem of few (like one or sometimes even zero)
candidates for at least one and not uncommonly two or three positions,
And EVERY nomcom has recruited, twisted arms, etc., in a usually
successful effort to improve this situation.

> (2) ...

I notice your statement about incumbents does not distinguish between
incumbents who are serving their first term as an AD and other
incumbents. Two years was set as the term for IESG members not because
it was thought they should be changed after that length of time but as
a compromise between short terms to limit the damage a bad AD could do
and longer terms to reduce the burden on the nomcom. It is also a
factor that, according to many ADs, it takes 9 months to a year to
adapt to the workload of being an AD, learn the ropes , etc. Thus a
typical first time AD is, over their 2 year term, maybe something like
50 to 60% effective. There are no specific rules but I have always
felt, and I believe that many nomcom members have felt, that someone
who has done a reasonably good job during their first term as an AD
should get a 2nd term, but after that they should have no special
consideration and, in fact, if some AD has served something like 3 or
more terms, it may definitely be time for a change and this should be
considered a factor against them. An incumbent versus new AD decision
is also, of course, strongly affected by community feedback.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

---

From: John C Klensin <[email-masked]>
Date: Mon, 04 Oct 2021 09:42:16 -0400

--On Monday, October 4, 2021 00:37 -0400 Donald Eastlake
<[email-masked]> wrote:

>> Three observations (supplementing those from Spencer, Keith,
>> and others but not disagreeing with them):
>> 
>> that Nomcoms are free to recruit, twist arms, etc.   This may
>> be the year for doing that.
> 
> I would like to know the basis for your claim above.
> Extrapolating from memories of my experience as a member of
> six nomcoms (4 as a voting member, one as chair, and one as
> previous chair) EVERY nomcom has encountered a problem of few
> (like one or sometimes even zero) candidates for at least one
> and not uncommonly two or three positions, And EVERY nomcom
> has recruited, twisted arms, etc., in a usually successful
> effort to improve this situation.

Don, if that is the case, I apologize for misreading some things
I've observed including being told by assorted Nomcom people
that they had to wait for the community.  I've also seen a
number of times when there has been a perceived shortage of
nominees for a particular position and notes put out by the
Nomcom have indicated that people should volunteer and step
forward because otherwise there wound be insufficient candidates
without implying direct outreach to individuals.  I also
remember the IAB being told on at least one occasion that a
particular candidate was chosen for a particular position
because no one else had volunteered for that position.  That
strongly implied to me that the Nomcom had not been able to
think of other alternates and tried hard enough to persuade
them but perhaps that was a misunderstanding as well.
 
>> performance in that role).  For people who believe an
>> incumbent has been doing an ok (or better) job, that is a
>> disincentive to putting their names in for that position...
>> especially if doing so requires rearranging of schedules,
>> getting employer permission, guaranteeing travel and time
>> support, etc.  I have no idea how to solve that problem, at
>> least without changes the IESG has been disinclined to
>> consider or let the community consider (Spencer might even
>> remember an ancient (and long-dead) attempt at part of the
>> issue in the form of
> I notice your statement about incumbents does not distinguish
> between incumbents who are serving their first term as an AD
> and other incumbents. Two years was set as the term for IESG
> members not because it was thought they should be changed
> after that length of time but as a compromise between short
> terms to limit the damage a bad AD could do and longer terms
> to reduce the burden on the nomcom. It is also a factor that,
> according to many ADs, it takes 9 months to a year to adapt to
> the workload of being an AD, learn the ropes , etc. Thus a
> typical first time AD is, over their 2 year term, maybe
> something like 50 to 60% effective. There are no specific
> rules but I have always felt, and I believe that many nomcom
> members have felt, that someone who has done a reasonably good
> job during their first term as an AD should get a 2nd term,
> but after that they should have no special consideration and,
> in fact, if some AD has served something like 3 or more terms,
> it may definitely be time for a change and this should be
> considered a factor against them. 

Of course, that is rather close to what Spencer and I wrote in
that long-ago draft, including the reasoning about a second term
versus additional ones.  Part of our thinking was that, if
Nomcoms are behaving the way you suggest (and that we favored)
then making a big deal about getting additional candidates for a
slot that will almost certainly be returned to the incumbent
(because they are completing their first term and have done a
competent job) may actually discourage candidacies for other
positions because, unless people clearly understand the
distinction between first-term and later incumbents -- a
distinction those public calls rarely make-- the impression is
that there is no point being a candidate against an incumbent
unless one is prepared to argue that incumbent has done a bad
job. 

> An incumbent versus new AD
> decision is also, of course, strongly affected by community
> feedback.

One would hope so.

best,
   john

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 4 Oct 2021 14:05:21 +0000

When I was first asked to stand for Security AD, I was told that I should consider this a practice run for future because it was almost definite that the current incumbent was going to be re-selected. I don't know if that is, or was, still commonplace. Perhaps it should be. It has to be a negative impact on the nominee pool, however. Because it means that if you want to be an AD, you have to convince your employer that it will be a couple of years of nearly-full-time commitment, but not immediately. That means convincing them at least twice.

The public information about candidates should include all previous nomcom-selected positions they've had. It should be fairly simple to link the nominees to their "dt.ietf/org/person/Lars%20Eggert" page, for example.

More importantly, I notice many of these same suggestions being made annually.  The only forum we have for preserving these things is the previous Chair's recommendations, which doesn't seem good enough.

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 4 Oct 2021 10:32:36 -0500

Hi, Rich,

On Mon, Oct 4, 2021 at 9:06 AM Salz, Rich <rsalz=[email-masked]>
wrote:

> When I was first asked to stand for Security AD, I was told that I should
> consider this a practice run for future because it was almost definite that
> the current incumbent was going to be re-selected. I don't know if that is,
> or was, still commonplace.

I certainly learned a lot, the first time I accepted a nomination for a
Nomcom-reviewed position, and I've made that observation to other people
more than once, when they asked me for advice about accepting a nomination.

But it's also worth noting that even the people on the Nomcom (who
shouldn't be telling anyone that) don't know for sure who will be selected
in advance, because that depends on a lot of factors, and not all of those
factors are under anyone's control.

Perhaps it should be. It has to be a negative impact on the nominee pool,
> however. Because it means that if you want to be an AD, you have to
> convince your employer that it will be a couple of years of
> nearly-full-time commitment, but not immediately. That means convincing
> them at least twice.
>

And if you told your boss "yeah, but this is really a practice run, because
I'm very unlikely to be selected this year", and then you ARE selected,
that's going to be an interesting conversation when the Nomcom contacts you
to confirm that you're still willing and able to serve.

> The public information about candidates should include all previous
> nomcom-selected positions they've had. It should be fairly simple to link
> the nominees to their "dt.ietf/org/person/Lars%20Eggert" page, for example.
>

Hmmm. You can see that information in
https://datatracker.ietf.org/person/Spencer%20Dawkins for me, but it's in
text that I wrote, which means that it may not be present for everyone. My
current roles are listed, but not previous roles. Mostly, my previous roles
don't matter, but for Nomcoms, they're more likely to matter.

> More importantly, I notice many of these same suggestions being made
> annually.  The only forum we have for preserving these things is the
> previous Chair's recommendations, which doesn't seem good enough.
>

I couldn't possibly comment. 🙂

Best,

Spencer

---

From: Michael Richardson <[email-masked]>
Date: Mon, 04 Oct 2021 12:49:57 -0400

> factors are under anyone's control.

For instance, an incumbent could be persuaded to run for IETF chair.
Which suddenly leaves the stand-for-practice candidate with an actual appointment.

I do agree with Rich's concern about having to stand multiple times and have
conversations with management multiple times.

This would be easier if the IESG load was lower.
Recent trends in the IESG seem to have gone in the opposite direction.

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 4 Oct 2021 16:50:14 +0000

> My current roles are listed, but not previous roles. Mostly, my previous roles don't matter, but for Nomcoms, they're more likely to matter.

Argh, you’re right.  I thought it had their history.  Oh well.

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 4 Oct 2021 17:04:53 +0000

>    conversations with management multiple times.

Thanks.

>    Recent trends in the IESG seem to have gone in the opposite direction.

Making the AD job smaller has been mentioned, but there are other ways, including adding more Area Directors, splitting the Areas up smaller, stopping the semi-automatic renewal of an AD for a second term and probably others.  There are reasons, some of them valid, for not doing any of this. But not doing anything is going to lead to increasing ossification as we've already seen in the surveys and such.  And we know the IETF hates ossification.

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 4 Oct 2021 20:56:50 +0100

Hiyz,

On 04/10/2021 18:04, Salz, Rich wrote:
>> I do agree with Rich's concern about having to stand multiple times
>> and have conversations with management multiple times.
> 
> Thanks.

That can work the other way too though - I think I recall
cases where it was easier for some people to get the mgmt
buy-in 2nd time around. (I was an AD that did encourage
people to stick their names in even if it seemed unlikely
they'd be selected FWIW.)

> 
>> This would be easier if the IESG load was lower. Recent trends in
>> the IESG seem to have gone in the opposite direction.
> 
> Making the AD job smaller has been mentioned, 

Effort was expended in that direction while I was on the
IESG but that effort failed (sadly).

> but there are other
> ways, including adding more Area Directors, splitting the Areas up
> smaller, stopping the semi-automatic renewal of an AD for a second
> term 

I'd be very skeptical that any of the above would turn
out well.

> and probably others.  There are reasons, some of them valid, for
> not doing any of this. But not doing anything is going to lead to
> increasing ossification as we've already seen in the surveys and
> such.  And we know the IETF hates ossification.

Here's one, in case someone wants: impose an N year gap
between memberships of the IESG and IAB except to allow
one transition from IESG to IAB. IOW, when you exit the
IESG or IAB you can't be on the IESG or IAB for N years
(modulo the exception above). That might cause a crisis
in a short enough while, and maybe we need one of those.

Cheers,
S.

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 4 Oct 2021 15:11:53 -0500

Hi Rich,

IESG is an editorial board of IETF documents. This is well known and I
don't think it will change. I think this one is the most time consuming,
plus telechats.
ADs also micro manage their WGs (most of them do, when I was chair, several
years ago, my AD didn't). I don't think this will change either (although
you have a choice here).
I think your company knows IETF as you have had many ADs so far.

So my suggestion is go for it, man. What are you gonna lose?

 Behcet

On Mon, Oct 4, 2021 at 11:51 AM Salz, Rich <rsalz=
[email-masked]> wrote:

> *>* My current roles are listed, but not previous roles. Mostly, my
> previous roles don't matter, but for Nomcoms, they're more likely to
> matter.
>
>
>

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 4 Oct 2021 20:14:45 +0000

*   I think your company knows IETF as you have had many ADs so far.

Only one whose second term expires in March.

  *   So my suggestion is go for it, man. What are you gonna lose?

I am more interested in getting diverse voices into IETF leadership *now* than in being yet more of the same type of leadership. And judging by history, all that would happen for me is my ego getting hurt :)

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 4 Oct 2021 20:18:32 +0000

It would be good for the IETF community to understand those efforts and various people's impressions of why things failed.

    out well.

On the one hand, I want to know why you think that. On the other hand, since you didn't bother to give reasons I'm not sure why I should care, either.

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 4 Oct 2021 21:26:43 +0100

On 04/10/2021 21:18, Salz, Rich wrote:
> Effort was expended in that direction while I was on the IESG but
> that effort failed (sadly).
> 
> It would be good for the IETF community to understand those efforts
> and various people's impressions of why things failed.
> 
>> but there are other ways, including adding more Area Directors,
>> splitting the Areas up smaller, stopping the semi-automatic renewal
>> of an AD for a second term
> 
> On the one hand, I want to know why you think that. On the other
> hand, since you didn't bother to give reasons I'm not sure why I
> should care, either.

Understood. I'd be happy to expound over a beer but it'd all
take too long to type tbh, and would likely be controversial
or be text with which it'd be very easy to disagree, so it's
maybe one that'd have to wait 'till we manage to meet again.

Cheers,
S.

---

From: Keith Moore <[email-masked]>
Date: Tue, 5 Oct 2021 21:16:36 -0400

On 10/4/21 1:04 PM, Salz, Rich wrote:

> Making the AD job smaller has been mentioned, but there are other ways, including adding more Area Directors, splitting the Areas up smaller, stopping the semi-automatic renewal of an AD for a second term and probably others.
Decades ago I became convinced that there's an inherent scaling limit to 
IETF's structure; that there's a limit to how many WGs and Areas and 
WGs/area the IETF could support even if you can scare up enough ADs.   
At that time I believed the IETF had already past the point of 
diminishing returns.

Since that time, significant efforts have been made, with some positive 
results.  For instance, area directorates are now much more effective 
and useful.

And yet, I haven't seen anything to convince me that the fundamental 
limits I saw in the late 1990s have been addressed, and overall I think 
we are in worse shape now than we were then. (to be fair, the Internet 
faces very different challenges now, so it's not an entirely fair 
comparison.)

Keith

---

From: Stewart Bryant <[email-masked]>
Date: Wed, 6 Oct 2021 18:55:34 +0100

Sent from my iPad

> On 6 Oct 2021, at 02:17, Keith Moore <[email-masked]> wrote:
> 
> Decades ago I became convinced that there's an inherent scaling limit to IETF's structure; that there's a limit to how many WGs and Areas and WGs/area the IETF could support even if you can scare up enough ADs.   At that time I believed the IETF had already past the point of diminishing returns.
> 
> Since that time, significant efforts have been made, with some positive results.  For instance, area directorates are now much more effective and useful.
> 
> And yet, I haven't seen anything to convince me that the fundamental limits I saw in the late 1990s have been addressed, and overall I think we are in worse shape now than we were then. (to be fair, the Internet faces very different challenges now, so it's not an entirely fair comparison.)
> 
> Keith

One of the big differences between now and then is the number of part time ADs which offsets the scaling improvements that directorates provide.

The other big difference is that those making money out of the internet now seem to regard it as a natural resource to be exploited and not something to invest in as was done in the past.

Stewart

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 7 Oct 2021 14:51:48 +0000

I assume "one of those" means a crisis. If so, yes.

I would say no person can serve in a nomcom-chosen position for more than four years in a row; there must be at least a one-year gap.  No exemptions.

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 7 Oct 2021 11:37:09 -0400

Minor point:  The IETF Trust is a bit different.  Terms are 3 years. 
And the RFC actually asks folks to make a long term commitment to 
serving as a trustee.  So at the very least it needs to be 6 years for 
that.  And I would recommend against an explicit limit.  (The trust has 
to worry about legal issues.  And not about standardization at all.  The 
trust has no say in IETF processes.)

Yours,
Joel

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 7 Oct 2021 15:53:23 +0000

Okay, but I still want a "gap year" before and after serving on the trust. So perhaps now:
	No person can serve in a Nomcom-chosen position for more than four years in a row, except for the IETF Trust which is six.

But having had some minor involvement with the trust, I don't see that it's all that special.  So two terms for all, with a gap year between.

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 7 Oct 2021 18:17:22 +0200

> I would say no person can serve in a nomcom-chosen position for more than four years in a row; there must be at least a one-year gap.  No exemptions.

I don’t think we can afford discarding all these potential Human Resources, if only for a year.

Instead, the spirit of this could be developed as IETF consensus and communicated to the noncom.  They would still know when to stick with that simplistic rule and when it doesn’t work.  Do the right thing.

Grüße, Carsten

---

From: Ron Bonica <[email-masked]>
Date: Thu, 7 Oct 2021 16:20:00 +0000

+1

> The other big difference is that those making money out of the internet now seem to regard it as a natural resource to be exploited and not something to > invest in as was done in the past.
>
> Stewart

Juniper Business Use Only

---

From: Christian Huitema <[email-masked]>
Date: Thu, 7 Oct 2021 10:56:42 -0700

>> The other big difference is that those making money out of the internet now seem to regard it as a natural resource to be exploited and not something to > invest in as was done in the past.

Ron, I am not sure that I agree with you or Stewart here. We are 
discussing the lack of candidates for leadership positions. If I look at 
the roster of the IAB and IESG, I find plenty of members working for 
those large companies that develop Internet technologies, and that tells 
me that we are not exactly suffering from lack of participation from big 
companies. In fact, if we loaded committees with even more participation 
of these big companies, the complaint would not be that they "do not 
invest" -- most probably, we would hear the opposite complaint, that 
they invest too much.

Let's focus on finding more good candidates!

-- Christian Huitema

---

From: Keith Moore <[email-masked]>
Date: Thu, 7 Oct 2021 14:52:51 -0400

On 10/7/21 1:56 PM, Christian Huitema wrote:

> discussing the lack of candidates for leadership positions. If I look 
> at the roster of the IAB and IESG, I find plenty of members working 
> for those large companies that develop Internet technologies, and that 
> tells me that we are not exactly suffering from lack of participation 
> from big companies. In fact, if we loaded committees with even more 
> participation of these big companies, the complaint would not be that 
> they "do not invest" -- most probably, we would hear the opposite 
> complaint, that they invest too much. 

The question is, are those Big Companies "investing" or are they 
"exploiting"?  Or some of each?

Even though I think that's the question, I suspect we can't really 
answer that question definitively here, or maybe anywhere.

But I'd love to see more I* candidates who are NOT from Big Companies.  
IETF needs more diversity in its leadership.

Keith

---

From: Ron Bonica <[email-masked]>
Date: Thu, 7 Oct 2021 19:00:01 +0000

Christian,

Keith has captured thee nuance of my comment. I really don't care where candidates come from, so long as they come to promote the common good of the Internet community and not their corporate interests.

                                                                                             Ron

-----Original Message-----
From: Keith Moore <[email-masked]> 
Sent: Thursday, October 7, 2021 2:53 PM
To: Christian Huitema <[email-masked]>; Ron Bonica <[email-masked]>; Stewart Bryant <[email-masked]>
Cc: [email-masked]
Subject: Re: Want to be on the IESG?

[External Email. Be cautious of content]

> complaint, that they invest too much.

The question is, are those Big Companies "investing" or are they "exploiting"?  Or some of each?

Even though I think that's the question, I suspect we can't really answer that question definitively here, or maybe anywhere.

Keith

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 7 Oct 2021 22:20:22 +0200

Ron/*:

Which RFC defines "the common good of the Internet community" ?

Q: Are private/limited-domain networks part of the "Internet community" even if those networks have
no connectivity whatsoever to "The Internet" ?

   Example: research mission networks (e.g.: NASA), power-grids, defense, manufacturing, 
   3/4/5G transport networks, many other IoT networks (trains, roads rivers,...),
   all using MPLS/IP/TCP/* networks and many more IETF protocols than "The Internet"

   If No, then why should leadership only care only about "The Internet" as opposed to the
   larger output and applicability of the IETF work ?

   If Yes, why then do we continue to call it _only_ "Internet community", when
   in fact it is the IETF technologies community which is much larger (see above) ?

I have seen in the past few years from IETF leadership ongoing policy statements
that solely talked about "the Internet community" as ONLY to the "Internet proper"
community. Which is consistent, but IMHO only part of the IETF mission and part of leaderships job.

I have never in recent years heard or read any significant statements from IETF leadership emhasizing
how the good of the IETF community is much larger, broader and more diverse than just the
good of the Internet community. Even though it has repeatedly being pointed out and IETF contributors
even wrote RFCs about it. This worries me deeply.

I certainly would really appreciate if we would always use "IETF community"
(or some better term) UNLESS the topic discussed is really ONLY significant to the Internet
proper. And acknowledge the fact that the common good of the IETF commmunity is much
broader and more diverse than that of the Internet community.

Cheers
    Toerless

-- 
---
[email-masked]

---

From: John C Klensin <[email-masked]>
Date: Thu, 07 Oct 2021 16:21:10 -0400

--On Thursday, October 7, 2021 18:17 +0200 Carsten Bormann
<[email-masked]> wrote:

> On 2021-10-07, at 16:51, Salz, Rich
>> I would say no person can serve in a nomcom-chosen position
>> for more than four years in a row; there must be at least a
>> one-year gap.  No exemptions.
> 
> I don't think we can afford discarding all these potential
> Human Resources, if only for a year.

Hmm.  Carsten, let me try suggesting almost the same thing Rich
did, but from a different perspective.  It is a real advantage,
both to the people who serve and to the IETF community and the
Internet, if people in leadership roles remain actively familiar
with what it takes to get substantive work done in the IETF
rather than developing a "management" perspective and losing
both the recent memory of that experience and a bottom-up
understanding of the impact of whatever changes have occurred.  

I think it would be better for the community (and, actually, for
the sanity of the individuals) if someone who had served in an
IESG or IAB position [1] for a couple of terms take a year or
two as a participant (ideally, not even as a WG Chair), even if
they were returned to that, or some other position later.

> Instead, the spirit of this could be developed as IETF
> consensus and communicated to the noncom.  They would still
> know when to stick with that simplistic rule and when it
> doesn't work.  Do the right thing.

You (and others) may disagree, but I think the general principle
that multiple terms (N > 2) are generally a bad idea has gotten
at least rough consensus and been communicated to Nomcoms
multiples times.  The fact that we are having this discussion
(again) suggests that has not been very effective.

And, that said, I still believe that some variation of what was
proposed years ago (and which the IESG refused to consider [2])
would be a good idea.  The general idea was that incumbents who
were willing to serve another term would be considered by the
Nomcom even before the general call for candidates.  The Nomcom
would be advised that a second term is usually A Good Thing
unless there were problems and that further terms often became
problems.  The Nomcom would solicit feedback from the community
about, e.g., performance and could then decide "return" (in
which case there would never be a general call for that
position).  Or they could decide "enough; no more now" or
perhaps "maybe".  They would run the usual process for all
remaining open positions. 

There would obviously be some side effects, starting with making
it difficult for an incumbent to both "run" for their existing
position and to seek another one.  The community would have to
decide whether that was bad and, if so, do something about it.
And, if there are advantages to "running" against a first-term
incumbent who has done a good job "for practice", they would
largely disappear.  On the other hand, it would allow the Nomcom
to spend more of its time on the hard cases rather than deciding
whether an alternate candidate might be slightly better than a
one-term incumbent who has done a good job.

 best,
   john

[1] I am undecided about Nomcom-selected positions other than
the IAB and IESG.  It is possible that different considerations
might apply.

[2] There is arguably a fundamental conflict when the IESG
proposes or decides about suggested procedural changes that
would affect how the IESG works or how its members are selected.
On the one hand, ADs presumably have more intimate familiarity
with the issues than anyone else.  On the other, they
volunteered and were selected with assumptions about how things
work, how (or if) they are held accountable, whether it is easy
or hard for them to get additional terms if they want them, and
so on.  And the decisions to which that leads may or may not be
in the best interests of the community and the Internet even if
they are in the best interests of the sitting IESG and people
who are very much like them.

---

From: Keith Moore <[email-masked]>
Date: Thu, 7 Oct 2021 16:38:00 -0400

> no connectivity whatsoever to "The Internet" ?

Based on my experience, I'm starting to doubt that such networks exist 
for very long.   And for some purposes (e.g. analyzing security threats) 
it seems better to presume that they do not exist.   Everything is 
connected sooner or later.

But rather than try to decide this question, I suggest that the 
"Internet community" includes any device that speaks Internet Protocol, 
and any users of such devices.  In other words, in making protocol 
design choices, IETF should consider the entire IP ecosystem, not merely 
full-time connected devices and networks, but also isolated "private" 
networks, networks with private interconnection to other networks 
(whether or not those other networks are connected to the public 
network), intermittently-connected networks, nomadic networks, etc.

(e.g. in the IIoT world it seems to be common to assume that IP-capable 
devices will only be connected to isolated or secure networks, an 
assumption which is arguably delusional. )

Keith

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 7 Oct 2021 22:41:10 +0200

> The other big difference is that those making money out of the internet now seem to regard it as a natural resource to be exploited and not something to invest in as was done in the past.

There is no IETF document or IETF leadership statement telling them not to.
So why should they not ? 

I seriously can't wrap my head around the fact that we have a HRPC RG,
but no "Common Good of the Internet" GEN WG or RG (*). And ISOC doesn't seem
to have any collaborative platform/process to produce output either, other than
leadership individual contribution.  [email-masked] is just
the write-only complaints board.

Cheers
    Toerless

(*) I am mentioning HRPC not to criticise it, i think its great we have it.
Instead i am mentioning it to claim that all the push back against having
a WG/RG on Internet policy was/is using very similar (out of scope, not
our expertise, go away) argument that could have equally been raised against
HRPC. So i think there is just less interest in "Common Good of the Internet"
in our leadership than they claim to have and IMHO should have.

---

From: Keith Moore <[email-masked]>
Date: Thu, 7 Oct 2021 16:46:11 -0400

> There is no IETF document or IETF leadership statement telling them not to.

 From RFC 7154: "IETF Guidelines for Conduct"

    3. IETF participants devise solutions for the global Internet that
       meet the needs of diverse technical and operational environments.

       The mission of the IETF is to produce high-quality, relevant
       technical and engineering documents that influence the way people
       design, use, and manage the Internet in such a way as to make the
       Internet work better.  The IETF puts its emphasis on technical
       competence, rough consensus, and individual participation, and it
       needs to be open to competent input from any source.  We
       understand that "scaling is the ultimate problem" and that many
       ideas that are quite workable on a small scale fail this crucial
       test.

       IETF participants use their best engineering judgment to find the
       best solution for the whole Internet, not just the best solution
       for any particular network, technology, vendor, or user.

(similar language is also in RFC 3184)

Keith

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 7 Oct 2021 22:49:07 +0200

Thanks Keith, inline

On Thu, Oct 07, 2021 at 04:38:00PM -0400, Keith Moore wrote:
> Based on my experience, I'm starting to doubt that such networks exist for
> very long.   And for some purposes (e.g. analyzing security threats) it
> seems better to presume that they do not exist.   Everything is connected
> sooner or later.

Even if some connection exists, it does not make the networks interest and
requirements the same as that of the Internet. The fully isolated case
is just a simple to understand example.

> But rather than try to decide this question, I suggest that the "Internet
> community" includes any device that speaks Internet Protocol, and any users
> of such devices.

"Internet Protocol Community" ?

as i said, i would like to be able to distinguish. I think (see other email
from me) that the "Internet Community" by itself is extremely important
and its useful not to conflate the two.

>  In other words, in making protocol design choices, IETF
> should consider the entire IP ecosystem, not merely full-time connected
> devices and networks, but also isolated "private" networks, networks with
> private interconnection to other networks (whether or not those other
> networks are connected to the public network), intermittently-connected
> networks, nomadic networks, etc.

Agreed.

> devices will only be connected to isolated or secure networks, an assumption
> which is arguably delusional. )

Well. i have worked with quite a few of those isolated networks.
Are there likely transport or higher layer transits into the Internet even
if only as exploits ? Absolutely, and thats always a fun security issue to discuss, 
but its irrelevant to the point i was making: 

My point here was to distinguish the fact that the "Internet Protocol Community" is more
broader and diverse in its constituents, requirments and constraints than the "Internet Community",
which is only a key member.

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Keith Moore <[email-masked]>
Date: Thu, 7 Oct 2021 16:57:28 -0400

> which is only a key member.

I certainly agree.   I'd also assert that the boundary between the 
"Internet Community" and the "Internet Protocol Community" (ecosystem?) 
is fuzzy.

But I've often heard the argument that we should limit the scope of our 
work to the full-time connected and/or public Internet, and I disagree 
with that argument.   I think we need to accept that our work is widely 
used outside of those environments.

Keith

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 7 Oct 2021 22:59:25 +0200

Hah. Nice.

Yeah, that section has a bunch of aspirational text that doesn't capture the
diversity and scope of IETF work well, but it is certainly well intentioned.

"scaling is the ultimate problem" - yeah... no ;-)

Cheers
    toerless

-- 
---
[email-masked]

---

From: Ron Bonica <[email-masked]>
Date: Thu, 7 Oct 2021 21:07:08 +0000

Folks,

When I used the term "Internet Community", I was thinking of the *billions* of people who rely on the Internet for their well-being and the *billions* of people who have yet to be connected.

I wasn't thinking about limited domains at all.

                                                                              Ron

-----Original Message-----
From: Keith Moore <[email-masked]> 
Sent: Thursday, October 7, 2021 4:57 PM
To: Toerless Eckert <[email-masked]>
Cc: Ron Bonica <[email-masked]>; Christian Huitema <[email-masked]>; Stewart Bryant <[email-masked]>; [email-masked]
Subject: Re: What is "The Internet community" ? Re: Want to be on the IESG?

On 10/7/21 4:49 PM, Toerless Eckert wrote:

> My point here was to distinguish the fact that the "Internet Protocol 
> Community" is more broader and diverse in its constituents, 
> requirments and constraints than the "Internet Community", which is only a key member.

I certainly agree.   I'd also assert that the boundary between the
"Internet Community" and the "Internet Protocol Community" (ecosystem?) is fuzzy.

But I've often heard the argument that we should limit the scope of our work to the full-time connected and/or public Internet, and I disagree
with that argument.   I think we need to accept that our work is widely
used outside of those environments.

Keith

---

From: Lloyd W <[email-masked]>
Date: Fri, 8 Oct 2021 18:22:42 +1100

Ron,

That "Juniper Business Use Only" signature completely undermines the spirit of your message, don't you think?

I view the IETF as a personal interest, often best participated in from a personal address. But then, my time or any role I play here is not subsidised or sponsored, or even expected to produce useful outcomes.

Lloyd Wood
[email-masked]

which... it doesn't.

> On 8 Oct 2021, at 06:01, Ron Bonica <rbonica=[email-masked]> wrote:
> 
> Christian,
>

---

From: Ron Bonica <[email-masked]>
Date: Fri, 8 Oct 2021 16:29:09 +0000

Lloyd,

I have an unfortunate choice between sending mail to the IETF:

- Using my Juniper account, and having IT append a Juniper classification to it
- Using my personal account, and not revealing my corporate affiliation in every message.

Neither choice is very appealing ☹

                                         Ron

-----Original Message-----
From: Lloyd W <lloyd.wood=[email-masked]> 
Sent: Friday, October 8, 2021 3:23 AM
To: Ron Bonica <[email-masked]>
Cc: Keith Moore <[email-masked]>; Christian Huitema <[email-masked]>; Stewart Bryant <[email-masked]>; [email-masked]
Subject: Re: Want to be on the IESG?

Ron,

Lloyd Wood
[email-masked]

which... it doesn't.

> To: Christian Huitema <[email-masked]>; Ron Bonica 
> <[email-masked]>; Stewart Bryant <[email-masked]>
> Cc: [email-masked]
>> for those large companies that develop Internet technologies, and 
>> that tells me that we are not exactly suffering from lack of 
>> participation from big companies. In fact, if we loaded committees 
>> with even more participation of these big companies, the complaint 
>> would not be that they "do not invest" -- most probably, we would 
>> hear the opposite complaint, that they invest too much.
>

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 8 Oct 2021 18:45:32 +0200

> - Using my Juniper account, and having IT append a Juniper classification to it

The traditional way to solve this is to end your mail with

### The following classification was automatically generated and is probably incorrect:

(A bit off-topic to the off-topic conversation about the “The Internet is for End Users” [RFC8890] WG we don’t have.)

Grüße, Carsten

---

From: Lloyd W <[email-masked]>
Date: Sat, 9 Oct 2021 13:39:45 +1100

> On 8 Oct 2021, at 07:42, Toerless Eckert <[email-masked]> wrote:
> 

As it happens, I hear that the Human Resources Political Correctness research group is looking for volunteers to be its (their?) new co-chair.

You could volunteer to man up and step up to run the group most likely to tell you that you're being sexist and ableist for volunteering to man up and step up and run.

L.

...now that the Terminology wg hasn't gone ahead. The HRPC crowd  and viewpoints are heavily intersectionally overlapping with the terminology activists.

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 11 Oct 2021 13:24:04 -0500

Hi, John,

Just a couple of comments on your comments, which I largely agree with. I
copied the one that seemed most important here, just so it doesn't get
overlooked.

> who are very much like them.

I don't disagree, but one other point has come up repeatedly in my
conversations with IESG members (both while serving as an AD, and while
doing something else) - the sitting members of the IESG have been able to
arrange their lives in a way that allows them to accept a confirmed
appointment. If we keep asking people who don't have a problem with the way
things are now to change the way things are now, that seems
counterintuitive.

Best,

Spencer

> understanding of the impact of whatever changes have occurred.

I think the percentage of IETF participants who actually want the IESG to
be heavily weighted toward full-time managers is vanishingly small, but
it's worth noting that a manager can do a better or worse job of managing,
depending on what they are paying attention to, and who they talk to and
listen to. If it is possible for the IESG to lock themselves in a room and
only talk to each other, adopting a strategy that limits how long they can
stay in a locked room makes a lot of sense.

If they get out more, talk to their chairs, and assemble directorates like
the one Harald put together when he was GEN AD to extend his ability to
remember and to listen, we would likely have more flexibility, if we wanted
it.

> (again) suggests that has not been very effective.

I know you and I often communicate with Nomcoms about general topics, and
recent versions of the datatracker feedback tools make that easier (at one
point, if we had comments on the RTG area, for instance, we were copying
that input into the input for each RTG AD nominee), but I'm not sure how we
make sure that what has been successfully communicated to a Nomcom in year
NNNN stays communicated in year NNNN+1, or NNNN+3, without writing and
publishing an RFC as part of https://www.rfc-editor.org/info/bcp10.

Even getting a new Nomcom to notice Informational RFCs (that aren't part of
BCP 10, because they don't have BCP status) is a crapshoot. At one point,
we had published https://www.rfc-editor.org/info/rfc5078, which was
informational because it updated the informative timeline in
https://www.rfc-editor.org/rfc/rfc3777#appendix-B. At least one Nomcom
chair I talked to didn't see that, because they just looked at BCP 10.

> remaining open positions.

Am I remembering that
https://datatracker.ietf.org/doc/html/draft-klensin-nomcom-incumbents-first-01
is the most recent draft suggesting how Nomcoms could evaluate the needs of
areas first, and then discuss the willingness and ability of incumbents to
meet those needs, before asking for non-incumbent nominations?

> decide whether that was bad and, if so, do something about it.

If you're willing to serve a second term in your current position (to pick
one example), and you're also willing to serve a first term in a different
position, ISTM that's a fine conversation for Nomcoms to have with
incumbents, because that would give the Nomcom a chance to look at the
needs of your current position and the position you're also willing to
serve in, and that's kind of their responsibility.

I know when we've talked about this (like, a decade or 15 years ago),
people asked, "but what if the incumbent says they're not willing to serve
again, or the Nomcom says the incumbent isn't able to meet the needs of the
position, but the Nomcom can't find anyone better?"

I don't know why the Nomcom couldn't ask the incumbent to reconsider their
willingness, for instance. Nomcoms solve problems like this now.

> who are very much like them.

I don't disagree, but one other point has come up repeatedly in my
conversations with IESG members (both while serving as an AD, and while
doing something else) - the sitting members of the IESG have been able to
arrange their lives in a way that allows them to accept a confirmed
appointment. If we keep asking people who don't have a problem with the way
things are now to change the way things are now, that seems
counterintuitive.

Best,

Spencer

---

From: John C Klensin <[email-masked]>
Date: Mon, 11 Oct 2021 18:26:24 -0400

--On Monday, October 11, 2021 13:24 -0500 Spencer Dawkins at
IETF <[email-masked]> wrote:

> Hi, John,
> 
> Just a couple of comments on your comments, which I largely
> agree with. I copied the one that seemed most important here,
> just so it doesn't get overlooked.
> 
>> would affect how the IESG works or how its members are
>> selected. On the one hand, ADs presumably have more intimate
>> familiarity with the issues than anyone else.  On the other,
>> they volunteered and were selected with assumptions about how
>> things work, how (or if) they are held accountable, whether
>> it is easy or hard for them to get additional terms if they
>> want them, and so on.  And the decisions to which that leads
>> may or may not be in the best interests of the community and
>> the Internet even if they are in the best interests of the
>> sitting IESG and people who are very much like them.

> I don't disagree, but one other point has come up repeatedly
> in my conversations with IESG members (both while serving as
> an AD, and while doing something else) - the sitting members
> of the IESG have been able to arrange their lives in a way
> that allows them to accept a confirmed appointment. If we keep
> asking people who don't have a problem with the way things are
> now to change the way things are now, that seems
> counterintuitive.

Indeed.

best,
  john

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 12 Oct 2021 00:51:30 +0200

On 12. Oct 2021, at 00:26, John C Klensin <[email-masked]> wrote:
>> If we keep

One of the reasons for "not having a problem" with the way things are now may be that this way is near optimum already for achieving the objectives of the organization.  The very same people may be in the best position to know how and why.

Just saying; obtaining a nice slate of candidates is not an end in itself, it’s a means to the end of achieving the objectives of the organisation.

(I’d love to have IESG positions where I could dream of having the time to fulfil them meaningfully, but I also think I know why that is a dream.)

Grüße, Carsten

---

From: John C Klensin <[email-masked]>
Date: Mon, 11 Oct 2021 21:14:48 -0400

--On Tuesday, October 12, 2021 00:51 +0200 Carsten Bormann
<[email-masked]> wrote:

>>> asking people who don't have a problem with the way things
>>> are now to change the way things are now, that seems
>>> counterintuitive.
>> 
>> Indeed.
> 
> One of the reasons for "not having a problem" with the way
> things are now may be that this way is near optimum already
> for achieving the objectives of the organization.  The very
> same people may be in the best position to know how and why.

Carsten,

Yes, especially if those people are also defining, or even just
interpreting, the objectives of the organization.  

> Just saying; obtaining a nice slate of candidates is not an
> end in itself, it's a means to the end of achieving the
> objectives of the organisation.

Right.  But if the Nomcom ends up with a fairly homogeneous set
of candidates because, for example, people like you or me don't
have the time and resources, it is probably still fine for those
who are selected to "steer" and manage to the objectives of the
organization.  But if they define or redefine those objectives
rather than facilitating community discussion and agreement
about them and then implementing whatever conclusions the
community reaches, then your comment may still be true, perhaps
even tautologically so, but still not particularly helpful.

> (I'd love to have IESG positions where I could dream of
> having the time to fulfil them meaningfully, but I also think
> I know why that is a dream.)

best,
  john

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 12 Oct 2021 04:01:29 +0200

> As it happens, I hear that the Human Resources Political Correctness research group is looking for volunteers to be its (their?) new co-chair.

Just because i am happy for us to have it doesn't mean that
i agree with everything they do or that i could justify spending
more cycles on it. I was primarily trying to make the point that
if we are expanding beyond our core technical expertise to also
touch on broader societal issues resulting from out technology,
then i think we should equally have a group about Internet Policy.
At least i find i quite depressing how the only words about
Internet Policy from the IETF do not come from an open working
group but solely from statements by leadership. At least that
is my perception from the past few years.

> You could volunteer to man up and step up to run the group most likely to tell you that you're being sexist and ableist for volunteering to man up and step up and run.

We have IMHO most WGs working in a small technical echo chambers
of experts, and IETF/IESG review afterwards only polishing the
result. What we call consensus is really conditional:
"Assuming this WG document is to be deployed, then we roughly agree on the
technical details after having beaten them up".

That small echo chamber consensus model is IMHO insufficient for the type
of GEN work that really needs the larger community, non-expert consensus.
Maybe one can compare this with how well (or rather badly) democracy
would work on the big questions if only 5% where voting.

I observe that LLC is pretty good to use questionaires to vet the
larger community. Maybe WG working on problems requiring this
stronger community consensus model should also use such tools.

[ Of course, we also have similar stronger polling for full standards
  (implementation/deployment questionaires). ]

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Keith Moore <[email-masked]>
Date: Mon, 11 Oct 2021 22:03:16 -0400

+1

---

From: "Salz, Rich" <[email-masked]>
Date: Wed, 13 Oct 2021 13:44:52 +0000

>>> are now to change the way things are now, that seems

Baloney. Never heard of "thinking outside the box"?

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 13 Oct 2021 16:54:37 +0200

> Baloney. Never heard of "thinking outside the box"?

Let me give just two examples:

manycouches had many couch potatoes arguing for many many years to
have at least one virtual-only IETF per year, even if just as an
experiment. I do not remember a single AD thinking outside of a box
to push for such an experiment. It took covid.

A good amount of work, especially design teams became a lot more
open in reaction to USA EAR politics.

I really don't see on process wise a lot of proactive outside of the
box thinking in IETF leadership. I just see IETF being pushed around
by the box moving. Seemingly as in the examples above often for the better,
even if the reasons are not good.

Cheers
    Toerless

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 13 Oct 2021 16:27:59 +0100

On 13/10/2021 15:54, Toerless Eckert wrote:
> to push for such an experiment.

I don't think that's accurate. It's fair to say that
we didn't make real progress on attempting to only
meet twice in any year before covid, but there were
a bunch of ADs among those considering the issues,
(incl. me back then.) Just because the IESG doesn't
manage to succeed in figuring stuff out does not mean
that the IESG didn't try so I'd cut the current leadership
some slack before accusing them of being unable to
think outside whatever boxes are perceived to exist.

S.

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 13 Oct 2021 17:49:32 +0200

Thanks, Stephen. I guess i was referring to 
"act outside the box" and not only "think outside the box".
And i do think it may be easier to do that when you actually
do come from outside the box.

Cheers
    Toerless

---

From: Jay Daley <[email-masked]>
Date: Thu, 14 Oct 2021 08:00:48 +1300

In my experience, criticism of others for "not thinking/acting outside of the box" is often shorthand for "thinking/acting that doesn’t agree with mine" rather than any indicator of a systemic problem.  I think it fairer to assume that others have done just as much thinking as me, but come to a different conclusion.

Jay 

> On 14/10/2021, at 4:49 AM, Toerless Eckert <[email-masked]> wrote:
> 

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 13 Oct 2021 21:27:26 +0200

Thanks, Jay,

Interesting thought, and of course there is always his bias risk, but
its not where i was coming from in the meetings example:

When i joined the manycouches discussion some years back, i was always of the
opinion to not cut down on the in-person meetings, but instead simply make
hybrid participation better for remote participants through better tooling.
Simply because i enjoy in-person meetings, think they are more productive
 and had no problems with travel, but am a tele-collaboration tooling geek.

So when i said "think/act outside the box" i was specifically referring to
changes in the IETF which i do not necessarily have to like upfront, such as going fully
virtual, solely from the perspective that at least experimentation should be
valuable for our community. And i also like "learning by doing".

And btw. there is IETF leadership that i have experienced to "act outside the box",
and i am very gratious for that, especially when i learned the resistance
against it.

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Lloyd W <[email-masked]>
Date: Thu, 14 Oct 2021 09:28:40 +1100

> On 14 Oct 2021, at 01:55, Toerless Eckert <[email-masked]> wrote:
> 
> open in reaction to USA EAR politics

What is EAR?

L.

I have two of those...

---

From: Ali Mezgani <[email-masked]>
Date: Thu, 14 Oct 2021 00:42:09 +0100

> On 13/10/2021, at 23:28, Lloyd W <lloyd.wood=[email-masked]> wrote:
> 
> 
ِEarn As You are. This is what the big brother Perl told to his little brother Python.

> I have two of those…

Mezgani Ali
Tel: 00 212 679 119 530
LAB SMARTS : Secure and Mixed Architecture for Reliable Technologies and Systems
INPT - Rabat.
Morocco

---

From: Lloyd W <[email-masked]>
Date: Thu, 14 Oct 2021 22:07:47 +1100

EAR: US Export Administration Regulations

https://sanctionsnews.bakermckenzie.com/us-commerce-department-expands-huawei-and-entity-list-related-rules-further-restricting-huaweis-access-to-semiconductors-produced-from-us-technology-and-software/

and I thought ITAR was fun...

Lloyd Wood
[email-masked]

> On 14 Oct 2021, at 09:39, Lloyd W <lloyd.wood=[email-masked]> wrote:
> 
>

---

From: S Moonesamy <[email-masked]>
Date: Mon, 18 Oct 2021 15:17:55 -0700

Hi Toreless,
>to push for such an experiment. It took covid.

The message at 
https://mailarchive.ietf.org/arch/msg/manycouches/pUzNqQtV6HfzuS5YRw7cVAlvINM/ 
is from 2016.  The discussion predates the current pandemic.

>open in reaction to USA EAR politics.

I haven't looked into that.

Do mean that Area Directors are unable to consider a perspective 
which is contrary to IETF dogma?

Regards,
S. Moonesamy

---

From: Larry Masinter <[email-masked]>
Date: Mon, 18 Oct 2021 17:20:33 -0700

The "box" is the SHMOO charter. It was explicitly chartered with putting off
any planning for any long-term (over 5 years) inability to hold useful
face-to-face meetings.

recharter
--
https://LarryMasinter.net https://interlisp.org

> From: ietf <[email-masked]> On Behalf Of S Moonesamy
> Sent: Monday, October 18, 2021 3:18 PM
> To: Toerless Eckert <[email-masked]>; [email-masked]
> Subject: Re: Think outside the box - Re: Want to be on the IESG?
> 
> Hi Toreless,
> have
> >at least one virtual-only IETF per year, even if just as an experiment.
> >I do not remember a single AD thinking outside of a box to push for
> >such an experiment. It took covid.
> 
> The message at
> >A good amount of work, especially design teams became a lot more open
> >in reaction to USA EAR politics.
> 
> Do mean that Area Directors are unable to consider a perspective which is
> contrary to IETF dogma?
> 
> Regards,
> S. Moonesamy